Skip to content

Merchants

SumUp API reference and code samples.

Merchants

Merchant account represents a single business entity at SumUp.

The Merchant object

Merchant

  • merchant_code string read only

    Short unique identifier for the merchant.

    Example: "MK01A8C2"
  • organization_id string

    ID of the organization the merchant belongs to (if any).

    Example: "G0UZPVAX"
  • business_type string

    The business type.

    • sole_trader: The business is run by an self-employed individual.
    • company: The business is run as a company with one or more shareholders
    • partnership: The business is run as a company with two or more shareholders that can be also other legal entities
    • non_profit: The business is run as a nonprofit organization that operates for public or social benefit
    • government_entity: The business is state owned and operated
  • company object docs

    Information about the company or business. This is legal information that is used for verification.

     Show attributes
     Close
    Attributes
    • name string max length: 512

      The company's legal name.

      Example: "Gin & Doughnuts Bar GmbH"
    • merchant_category_code string pattern: ^[0-9]{4}$

      The merchant category code for the account as specified by ISO18245. MCCs are used to classify businesses based on the goods or services they provide.

      Example: "1532"
    • legal_type string min length: 4max length: 64 docs

      The unique legal type reference as defined in the country SDK. We do not rely on IDs as used by other services. Consumers of this API are expected to use the country SDK to map to any other IDs, translation keys, or descriptions.

    • address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • trading_address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • identifiers []object

      A list of country-specific company identifiers.

       Show attributes
       Close
      Attributes
      • ref string required

        The unique reference for the company identifier type as defined in the country SDK.

      • value string max length: 100 required

        The company identifier value.

    • phone_number string max length: 64

      A publicly available phone number in E.164 format.

      Example: "+420123456789"
    • website string max length: 255nullable

      HTTP(S) URL of the company's website.

    • attributes object

      Object attributes that are modifiable only by SumUp applications.

      Example: {}
  • country string min length: 2max length: 2pattern: ^[A-Z]{2}$

    An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

    Example: "BR"
  • business_profile object

    Business information about the merchant. This information will be visible to the merchant's customers.

     Show attributes
     Close
    Attributes
    • name string max length: 512

      The customer-facing business name.

      Example: "Example Coffee"
    • dynamic_descriptor string max length: 30pattern: ^[a-zA-Z0-9 \-+\'_.]{0,30}$

      The descriptor is the text that your customer sees on their bank account statement. The more recognisable your descriptor is, the less risk you have of receiving disputes (e.g. chargebacks).

      Example: "Example Coffee"
    • website string max length: 512

      The business's publicly available website.

      Example: "https://example.com"
    • email string max length: 256

      A publicly available email address.

      Example: "contact@example.com"
    • phone_number string max length: 64

      A publicly available phone number in E.164 format.

      Example: "+420123456789"
    • address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • branding object

      Settings used to apply the Merchant's branding to email receipts, invoices, checkouts, and other products.

       Show attributes
       Close
      Attributes
      • icon string uri

        An icon for the merchant. Must be square.

      • logo string uri

        A logo for the merchant that will be used in place of the icon and without the merchant's name next to it if there's sufficient space.

      • hero string uri

        Data-URL encoded hero image for the merchant business.

      • primary_color string

        A hex color value representing the primary branding color of this merchant (your brand color).

      • primary_color_fg string

        A hex color value representing the color of the text displayed on branding color of this merchant.

      • secondary_color string

        A hex color value representing the secondary branding color of this merchant (accent color used for buttons).

      • secondary_color_fg string

        A hex color value representing the color of the text displayed on secondary branding color of this merchant.

      • background_color string

        A hex color value representing the preferred background color of this merchant.

  • avatar string url

    A user-facing small-format logo for use in dashboards and other user-facing applications. For customer-facing branding see merchant.business_profile.branding.

  • alias string

    A user-facing name of the merchant account for use in dashboards and other user-facing applications. For customer-facing business name see merchant.business_profile.

  • default_currency string min length: 3max length: 3read only

    Three-letter ISO currency code representing the default currency for the account.

    Example: "EUR"
  • default_locale string min length: 2max length: 5

    Merchant's default locale, represented as a BCP47 RFC5646 language tag. This is typically an ISO 639-1 Alpha-2 ISO639‑1 language code in lowercase and an ISO 3166-1 Alpha-2 ISO3166‑1 country code in uppercase, separated by a dash. For example, en-US or fr-CA. In multilingual countries this is the merchant's preferred locale out of those, that are officially spoken in the country. In a countries with a single official language this will match the official language.

    Example: "de-DE"
  • sandbox boolean

    True if the merchant is a sandbox for testing.

  • meta object

    A set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

    Warning: Updating Meta will overwrite the existing data. Make sure to always include the complete JSON object.

    Example: {}
  • classic object
     Show attributes
     Close
    Attributes
    • id integer deprecated required

      Classic (serial) merchant ID.

      Example: 1234
  • version string

    The version of the resource. The version reflects a specific change submitted to the API via one of the PATCH endpoints.

  • change_status string read only

    Reflects the status of changes submitted through the PATCH endpoints for the merchant or persons. If some changes have not been applied yet, the status will be pending. If all changes have been applied, the status done. The status is only returned after write operations or on read endpoints when the version query parameter is provided.

  • created_at string date-timeread only

    The date and time when the resource was created. This is a string as defined in RFC 3339, section 5.6.

  • updated_at string date-timeread only

    The date and time when the resource was last updated. This is a string as defined in RFC 3339, section 5.6.

The Merchant object
{
"merchant_code": "MK01A8C2",
"organization_id": "G0UZPVAX",
"business_type": null,
"company": {
"name": "Gin & Doughnuts Bar GmbH",
"merchant_category_code": "1532",
"legal_type": "de.freiberufler",
"address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"trading_address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"identifiers": [
{
"ref": "de.gmbh",
"value": "HRB 123456"
}
],
"phone_number": "+420123456789",
"website": "https://www.sumup.com",
"attributes": {}
},
"country": "BR",
"business_profile": {
"name": "Example Coffee",
"dynamic_descriptor": "Example Coffee",
"website": "https://example.com",
"email": "contact@example.com",
"phone_number": "+420123456789",
"address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"branding": {
"icon": null,
"logo": null,
"hero": null,
"primary_color": "#FF4B3A",
"primary_color_fg": "#FF4B3A",
"secondary_color": "#FF4B3A",
"secondary_color_fg": "#FF4B3A",
"background_color": "#FF4B3A"
}
},
"avatar": null,
"alias": null,
"default_currency": "EUR",
"default_locale": "de-DE",
"sandbox": null,
"meta": {},
"classic": {
"id": 1234
},
"version": "chng_01HS0KG3MPVEVWW85E3KNXH55J",
"change_status": null,
"created_at": "2021-08-31T12:00:00Z",
"updated_at": "2021-08-31T12:00:00Z"
}
Merchants

Retrieve a Merchant

Retrieve a merchant.

Required scopes: user.profile user.profile_readonly
Required permissions: merchant_read

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"

Query Parameters

  • version string

    The version of the resource. At the moment, the only supported value is latest. When provided and the requested resource's change_status is pending, the resource will be returned with all pending changes applied. When no changes are pending the resource is returned as is. The change_status in the response body will reflect the current state of the resource.

Merchant

  • merchant_code string read only

    Short unique identifier for the merchant.

    Example: "MK01A8C2"
  • organization_id string

    ID of the organization the merchant belongs to (if any).

    Example: "G0UZPVAX"
  • business_type string

    The business type.

    • sole_trader: The business is run by an self-employed individual.
    • company: The business is run as a company with one or more shareholders
    • partnership: The business is run as a company with two or more shareholders that can be also other legal entities
    • non_profit: The business is run as a nonprofit organization that operates for public or social benefit
    • government_entity: The business is state owned and operated
  • company object docs

    Information about the company or business. This is legal information that is used for verification.

     Show attributes
     Close
    Attributes
    • name string max length: 512

      The company's legal name.

      Example: "Gin & Doughnuts Bar GmbH"
    • merchant_category_code string pattern: ^[0-9]{4}$

      The merchant category code for the account as specified by ISO18245. MCCs are used to classify businesses based on the goods or services they provide.

      Example: "1532"
    • legal_type string min length: 4max length: 64 docs

      The unique legal type reference as defined in the country SDK. We do not rely on IDs as used by other services. Consumers of this API are expected to use the country SDK to map to any other IDs, translation keys, or descriptions.

    • address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • trading_address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • identifiers []object

      A list of country-specific company identifiers.

       Show attributes
       Close
      Attributes
      • ref string required

        The unique reference for the company identifier type as defined in the country SDK.

      • value string max length: 100 required

        The company identifier value.

    • phone_number string max length: 64

      A publicly available phone number in E.164 format.

      Example: "+420123456789"
    • website string max length: 255nullable

      HTTP(S) URL of the company's website.

    • attributes object

      Object attributes that are modifiable only by SumUp applications.

      Example: {}
  • country string min length: 2max length: 2pattern: ^[A-Z]{2}$

    An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

    Example: "BR"
  • business_profile object

    Business information about the merchant. This information will be visible to the merchant's customers.

     Show attributes
     Close
    Attributes
    • name string max length: 512

      The customer-facing business name.

      Example: "Example Coffee"
    • dynamic_descriptor string max length: 30pattern: ^[a-zA-Z0-9 \-+\'_.]{0,30}$

      The descriptor is the text that your customer sees on their bank account statement. The more recognisable your descriptor is, the less risk you have of receiving disputes (e.g. chargebacks).

      Example: "Example Coffee"
    • website string max length: 512

      The business's publicly available website.

      Example: "https://example.com"
    • email string max length: 256

      A publicly available email address.

      Example: "contact@example.com"
    • phone_number string max length: 64

      A publicly available phone number in E.164 format.

      Example: "+420123456789"
    • address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • branding object

      Settings used to apply the Merchant's branding to email receipts, invoices, checkouts, and other products.

       Show attributes
       Close
      Attributes
      • icon string uri

        An icon for the merchant. Must be square.

      • logo string uri

        A logo for the merchant that will be used in place of the icon and without the merchant's name next to it if there's sufficient space.

      • hero string uri

        Data-URL encoded hero image for the merchant business.

      • primary_color string

        A hex color value representing the primary branding color of this merchant (your brand color).

      • primary_color_fg string

        A hex color value representing the color of the text displayed on branding color of this merchant.

      • secondary_color string

        A hex color value representing the secondary branding color of this merchant (accent color used for buttons).

      • secondary_color_fg string

        A hex color value representing the color of the text displayed on secondary branding color of this merchant.

      • background_color string

        A hex color value representing the preferred background color of this merchant.

  • avatar string url

    A user-facing small-format logo for use in dashboards and other user-facing applications. For customer-facing branding see merchant.business_profile.branding.

  • alias string

    A user-facing name of the merchant account for use in dashboards and other user-facing applications. For customer-facing business name see merchant.business_profile.

  • default_currency string min length: 3max length: 3read only

    Three-letter ISO currency code representing the default currency for the account.

    Example: "EUR"
  • default_locale string min length: 2max length: 5

    Merchant's default locale, represented as a BCP47 RFC5646 language tag. This is typically an ISO 639-1 Alpha-2 ISO639‑1 language code in lowercase and an ISO 3166-1 Alpha-2 ISO3166‑1 country code in uppercase, separated by a dash. For example, en-US or fr-CA. In multilingual countries this is the merchant's preferred locale out of those, that are officially spoken in the country. In a countries with a single official language this will match the official language.

    Example: "de-DE"
  • sandbox boolean

    True if the merchant is a sandbox for testing.

  • meta object

    A set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

    Warning: Updating Meta will overwrite the existing data. Make sure to always include the complete JSON object.

    Example: {}
  • classic object
     Show attributes
     Close
    Attributes
    • id integer deprecated required

      Classic (serial) merchant ID.

      Example: 1234
  • version string

    The version of the resource. The version reflects a specific change submitted to the API via one of the PATCH endpoints.

  • change_status string read only

    Reflects the status of changes submitted through the PATCH endpoints for the merchant or persons. If some changes have not been applied yet, the status will be pending. If all changes have been applied, the status done. The status is only returned after write operations or on read endpoints when the version query parameter is provided.

  • created_at string date-timeread only

    The date and time when the resource was created. This is a string as defined in RFC 3339, section 5.6.

  • updated_at string date-timeread only

    The date and time when the resource was last updated. This is a string as defined in RFC 3339, section 5.6.

GET /v1/merchants/{merchant_code}
curl https://api.sumup.com/v1/merchants/{merchant_code} \
-X GET \
-H "Authorization: Bearer $SUMUP_API_KEY"
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.merchants.get("MK10CL2A");
using SumUp;
var client = new SumUpClient();
var result = await client.Merchants.GetAsync(
"MK10CL2A"
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.merchants().getMerchant(
"MK10CL2A"
);
from sumup import Sumup
client = Sumup()
result = client.merchants.get("MK10CL2A")
$sumup = new \SumUp\SumUp();
$result = $sumup->merchants->get('MK10CL2A');
client := sumup.NewClient()
result, err := client.Merchants.Get(context.Background(), "MK10CL2A")
use sumup::Client;
let client = Client::default();
let result = client.merchants().get("MK10CL2A", sumup::GetMerchantParams{
version: Some("version".to_string()),
}).await;
Retrieve a Merchant response
{
"merchant_code": "MK01A8C2",
"organization_id": "G0UZPVAX",
"business_type": null,
"company": {
"name": "Gin & Doughnuts Bar GmbH",
"merchant_category_code": "1532",
"legal_type": "de.freiberufler",
"address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"trading_address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"identifiers": [
{
"ref": "de.gmbh",
"value": "HRB 123456"
}
],
"phone_number": "+420123456789",
"website": "https://www.sumup.com",
"attributes": {}
},
"country": "BR",
"business_profile": {
"name": "Example Coffee",
"dynamic_descriptor": "Example Coffee",
"website": "https://example.com",
"email": "contact@example.com",
"phone_number": "+420123456789",
"address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"branding": {
"icon": null,
"logo": null,
"hero": null,
"primary_color": "#FF4B3A",
"primary_color_fg": "#FF4B3A",
"secondary_color": "#FF4B3A",
"secondary_color_fg": "#FF4B3A",
"background_color": "#FF4B3A"
}
},
"avatar": null,
"alias": null,
"default_currency": "EUR",
"default_locale": "de-DE",
"sandbox": null,
"meta": {},
"classic": {
"id": 1234
},
"version": "chng_01HS0KG3MPVEVWW85E3KNXH55J",
"change_status": null,
"created_at": "2021-08-31T12:00:00Z",
"updated_at": "2021-08-31T12:00:00Z"
}
Merchants

List Persons

Returns a list of persons related to the merchant.

Required scopes: user.profile user.profile_readonly
Required permissions: persons_read

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"

Query Parameters

  • version string

    The version of the resource. At the moment, the only supported value is latest. When provided and the requested resource's change_status is pending, the resource will be returned with all pending changes applied. When no changes are pending the resource is returned as is. The change_status in the response body will reflect the current state of the resource.

Response 200

  • items []object required
     Show attributes
     Close
    Attributes
    • id string read only

      The unique identifier for the person. This is a typeid.

    • user_id string

      A corresponding identity user ID for the person, if they have a user account.

    • birthdate string date

      The date of birth of the individual, represented as an ISO 8601:2004 [ISO8601‑2004] YYYY-MM-DD format.

      Example: "1980-01-12"
    • given_name string max length: 60

      The first name(s) of the individual.

      Example: "James Herrald"
    • family_name string max length: 60

      The last name(s) of the individual.

      Example: "Bond"
    • middle_name string max length: 60

      Middle name(s) of the End-User. Note that in some cultures, people can have multiple middle names; all can be present, with the names being separated by space characters. Also note that in some cultures, middle names are not used.

      Example: "Maria Sophie"
    • phone_number string max length: 64

      A publicly available phone number in E.164 format.

      Example: "+420123456789"
    • relationships []string min items: 1max items: 1

      A list of roles the person has in the merchant or towards SumUp. A merchant must have at least one person with the relationship representative.

    • ownership object
       Show attributes
       Close
      Attributes
      • share integer minimum: 25000maximum: 100000 required

        The percent of ownership shares held by the person expressed in percent mille (1/100000). Only persons with the relationship owner can have ownership.

        Example: 50000
    • address object docs

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

       Show attributes
       Close
      Attributes
      • street_address []string max items: 2

        The first line of the address.

      • post_code string max length: 32

        The postal code (aka. zip code) of the address.

        Example: "10999"
      • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"
      • city string max length: 512

        The city of the address.

        Example: "Berlin"
      • province string max length: 512

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"
      • region string max length: 512

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"
      • county string max length: 512

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"
      • autonomous_community string max length: 512

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"
      • post_town string max length: 512

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"
      • state string max length: 512

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"
      • neighborhood string max length: 512

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"
      • commune string max length: 512

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"
      • department string max length: 512

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"
      • municipality string max length: 512

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"
      • district string max length: 512

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"
      • zip_code string max length: 512

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"
      • eircode string max length: 512

        A postal address in Ireland.

        Example: "D02 X285"
      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
    • identifiers []object max items: 5

      A list of country-specific personal identifiers.

       Show attributes
       Close
      Attributes
      • ref string max length: 32 required

        The unique reference for the personal identifier type.

        Example: "br.cpf"
      • value string max length: 128 required

        The company identifier value.

        Example: "847.060.136-90"
    • citizenship string min length: 2max length: 2pattern: ^[A-Z]{2}$

      An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

      Example: "BR"
    • nationality string nullable

      The persons nationality. May be an ISO3166-1 alpha-2 country code, but legacy data may not conform to this standard.

    • country_of_residence string min length: 2max length: 2nullable

      An ISO3166-1 alpha-2 country code representing the country where the person resides.

    • version string

      The version of the resource. The version reflects a specific change submitted to the API via one of the PATCH endpoints.

    • change_status string read only

      Reflects the status of changes submitted through the PATCH endpoints for the merchant or persons. If some changes have not been applied yet, the status will be pending. If all changes have been applied, the status done. The status is only returned after write operations or on read endpoints when the version query parameter is provided.

GET /v1/merchants/{merchant_code}/persons
curl https://api.sumup.com/v1/merchants/{merchant_code}/persons \
-X GET \
-H "Authorization: Bearer $SUMUP_API_KEY"
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.merchants.listPersons("MK10CL2A");
using SumUp;
var client = new SumUpClient();
var result = await client.Merchants.ListPersonsAsync(
"MK10CL2A"
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.merchants().listPersons(
"MK10CL2A"
);
from sumup import Sumup
client = Sumup()
result = client.merchants.list_persons("MK10CL2A")
$sumup = new \SumUp\SumUp();
$result = $sumup->merchants->listPersons('MK10CL2A');
client := sumup.NewClient()
result, err := client.Merchants.ListPersons(context.Background(), "MK10CL2A")
use sumup::Client;
let client = Client::default();
let result = client.merchants().list_persons("MK10CL2A", sumup::ListPersonsParams{
version: Some("version".to_string()),
}).await;
List Persons response
{
"items": [
{
"id": "pers_2EGQ057R6C8J791RVCG5NWAEAB",
"user_id": "ef263f37-8701-4181-9758-acddbb778ee9",
"birthdate": "1980-01-12",
"given_name": "James Herrald",
"family_name": "Bond",
"middle_name": "Maria Sophie",
"phone_number": "+420123456789",
"relationships": [
"representative"
],
"ownership": {
"share": 50000
},
"address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"identifiers": [
{
"ref": "br.cpf",
"value": "847.060.136-90"
}
],
"citizenship": "BR",
"nationality": null,
"country_of_residence": null,
"version": "chng_01HS0KG3MPVEVWW85E3KNXH55J",
"change_status": null
}
]
}
Merchants

Retrieve a Person

Returns a single person related to the merchant.

Required scopes: user.profile user.profile_readonly
Required permissions: persons_read

Path Parameters

  • merchant_code string required

    Short unique identifier for the merchant.

    Example: "MK10CL2A"
  • person_id string required

    Person ID

    Example: "pers_5AKFHN2KSK8D3TS79DJE3P3A2Z"

Query Parameters

  • version string

    The version of the resource. At the moment, the only supported value is latest. When provided and the requested resource's change_status is pending, the resource will be returned with all pending changes applied. When no changes are pending the resource is returned as is. The change_status in the response body will reflect the current state of the resource.

Response 200

  • id string read only

    The unique identifier for the person. This is a typeid.

  • user_id string

    A corresponding identity user ID for the person, if they have a user account.

  • birthdate string date

    The date of birth of the individual, represented as an ISO 8601:2004 [ISO8601‑2004] YYYY-MM-DD format.

    Example: "1980-01-12"
  • given_name string max length: 60

    The first name(s) of the individual.

    Example: "James Herrald"
  • family_name string max length: 60

    The last name(s) of the individual.

    Example: "Bond"
  • middle_name string max length: 60

    Middle name(s) of the End-User. Note that in some cultures, people can have multiple middle names; all can be present, with the names being separated by space characters. Also note that in some cultures, middle names are not used.

    Example: "Maria Sophie"
  • phone_number string max length: 64

    A publicly available phone number in E.164 format.

    Example: "+420123456789"
  • relationships []string min items: 1max items: 1

    A list of roles the person has in the merchant or towards SumUp. A merchant must have at least one person with the relationship representative.

  • ownership object
     Show attributes
     Close
    Attributes
    • share integer minimum: 25000maximum: 100000 required

      The percent of ownership shares held by the person expressed in percent mille (1/100000). Only persons with the relationship owner can have ownership.

      Example: 50000
  • address object docs

    An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

     Show attributes
     Close
    Attributes
    • street_address []string max items: 2

      The first line of the address.

    • post_code string max length: 32

      The postal code (aka. zip code) of the address.

      Example: "10999"
    • country string min length: 2max length: 2pattern: ^[A-Z]{2}$ required

      An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

      Example: "BR"
    • city string max length: 512

      The city of the address.

      Example: "Berlin"
    • province string max length: 512

      The province where the address is located. This may not be relevant in some countries.

      Example: "Berlin"
    • region string max length: 512

      The region where the address is located. This may not be relevant in some countries.

      Example: "Baden Wuerttemberg"
    • county string max length: 512

      A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

      Example: "Dublin County"
    • autonomous_community string max length: 512

      In Spain, an autonomous community is the first sub-national level of political and administrative division.

      Example: "Catalonia"
    • post_town string max length: 512

      A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

      Example: "London"
    • state string max length: 512

      Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

      Example: "California"
    • neighborhood string max length: 512

      Locality level of the address. Used in countries such as Brazil or Chile.

      Example: "Copacabana"
    • commune string max length: 512

      In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

      Example: "Providencia"
    • department string max length: 512

      A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

      Example: "Antioquia"
    • municipality string max length: 512

      A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

      Example: "Medellín"
    • district string max length: 512

      A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

      Example: "Lisbon District"
    • zip_code string max length: 512

      A US system of postal codes used by the United States Postal Service (USPS).

      Example: "94103"
    • eircode string max length: 512

      A postal address in Ireland.

      Example: "D02 X285"
    Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}
  • identifiers []object max items: 5

    A list of country-specific personal identifiers.

     Show attributes
     Close
    Attributes
    • ref string max length: 32 required

      The unique reference for the personal identifier type.

      Example: "br.cpf"
    • value string max length: 128 required

      The company identifier value.

      Example: "847.060.136-90"
  • citizenship string min length: 2max length: 2pattern: ^[A-Z]{2}$

    An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

    Example: "BR"
  • nationality string nullable

    The persons nationality. May be an ISO3166-1 alpha-2 country code, but legacy data may not conform to this standard.

  • country_of_residence string min length: 2max length: 2nullable

    An ISO3166-1 alpha-2 country code representing the country where the person resides.

  • version string

    The version of the resource. The version reflects a specific change submitted to the API via one of the PATCH endpoints.

  • change_status string read only

    Reflects the status of changes submitted through the PATCH endpoints for the merchant or persons. If some changes have not been applied yet, the status will be pending. If all changes have been applied, the status done. The status is only returned after write operations or on read endpoints when the version query parameter is provided.

GET /v1/merchants/{merchant_code}/persons/{person_id}
curl https://api.sumup.com/v1/merchants/{merchant_code}/persons/{person_id} \
-X GET \
-H "Authorization: Bearer $SUMUP_API_KEY"
import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.merchants.getPerson("MK10CL2A", "pers_5AKFHN2KSK8D3TS79DJE3P3A2Z");
using SumUp;
var client = new SumUpClient();
var result = await client.Merchants.GetPersonAsync(
"MK10CL2A",
"pers_5AKFHN2KSK8D3TS79DJE3P3A2Z"
);
import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.merchants().getPerson(
"MK10CL2A",
"pers_5AKFHN2KSK8D3TS79DJE3P3A2Z"
);
from sumup import Sumup
client = Sumup()
result = client.merchants.get_person("MK10CL2A", "pers_5AKFHN2KSK8D3TS79DJE3P3A2Z")
$sumup = new \SumUp\SumUp();
$result = $sumup->merchants->getPerson('MK10CL2A', 'pers_5AKFHN2KSK8D3TS79DJE3P3A2Z');
client := sumup.NewClient()
result, err := client.Merchants.GetPerson(context.Background(), "MK10CL2A", "pers_5AKFHN2KSK8D3TS79DJE3P3A2Z")
use sumup::Client;
let client = Client::default();
let result = client.merchants().get_person("MK10CL2A", "pers_5AKFHN2KSK8D3TS79DJE3P3A2Z", sumup::GetPersonParams{
version: Some("version".to_string()),
}).await;
Retrieve a Person response
{
"id": "pers_2EGQ057R6C8J791RVCG5NWAEAB",
"user_id": "ef263f37-8701-4181-9758-acddbb778ee9",
"birthdate": "1980-01-12",
"given_name": "James Herrald",
"family_name": "Bond",
"middle_name": "Maria Sophie",
"phone_number": "+420123456789",
"relationships": [
"representative"
],
"ownership": {
"share": 50000
},
"address": {
"street_address": [
"Paul-Linke-Ufer 39-40",
"2. Hinterhof"
],
"post_code": "10999",
"city": "Berlin",
"country": "DE"
},
"identifiers": [
{
"ref": "br.cpf",
"value": "847.060.136-90"
}
],
"citizenship": "BR",
"nationality": null,
"country_of_residence": null,
"version": "chng_01HS0KG3MPVEVWW85E3KNXH55J",
"change_status": null
}